import { configureAxios, request } from "../requests"

export function getUsers() {
  return request(
    "ADMIN_LIST_USERS",
    configureAxios().get("/admins/users")
  )
}

export function getStats() {
  return request(
    "ADMIN_GET_STATS",
    configureAxios().get("/admins/stats")
  )
}

export function updateUser(data) {
  return request(
    "ADMIN_UPDATE_USER",
    configureAxios().post("/admins/users", data),
    [
      () => getUsers(),
    ]
  )
}
