import { combineReducers } from "redux";
import { routerReducer } from "react-router-redux"

import movieStore from "./movies"
import showsStore from "./shows"
import showStore from "./show"
import userStore from "./users"
import alerts from "./alerts"
import torrentStore from "./torrents"
import adminStore from "./admins"

const rootReducer = combineReducers({
  routing: routerReducer,
  movieStore,
  showsStore,
  showStore,
  userStore,
  alerts,
  torrentStore,
  adminStore,
})

export default rootReducer;
